package be.aboutme.differenceKey
{
	import flash.display.Shader;
	import flash.utils.ByteArray;

	public class DifferenceKeyShader extends Shader
	{
		
		[Embed("assets/differenceKey/differenceKeyFilter.pbj", mimeType="application/octet-stream")]
		private var Filter:Class;
		
		private var _tolerance1:Number;
		public function get tolerance1():Number
		{
			return _tolerance1;
		}
		public function set tolerance1(value:Number):void
		{
			_tolerance1 = value;
			data.tolerance1.value = [value];
		}
		
		private var _tolerance2:Number;
		public function get tolerance2():Number
		{
			return _tolerance2;
		}
		public function set tolerance2(value:Number):void
		{
			_tolerance2 = value;
			data.tolerance2.value = [value];
		}
		
		private var _tolerance3:Number;
		public function get tolerance3():Number
		{
			return _tolerance3;
		}
		public function set tolerance3(value:Number):void
		{
			_tolerance3 = value;
			data.tolerance3.value = [value];
		}
		
		private var _mode:uint;
		public function get mode():uint
		{
			return _mode;
		}
		public function set mode(value:uint):void
		{
			_mode = value;
			data.mode.value = [value];
		}
		
		public function DifferenceKeyShader()
		{
			super(new Filter() as ByteArray);
			tolerance1 = 0.1;
			tolerance2 = 0.1;
			tolerance3 = 0.1;
		}
		
	}
}